// Variables para setear
onload=function() 
{
	cAyuda=document.getElementById("mensajesAyuda"); 			//ya
	cNombre=document.getElementById("ayudaTitulo"); 			//ya
	cTex=document.getElementById("ayudaTexto"); 				//ya
	divTransparente=document.getElementById("transparencia"); 	//ya
	divMensaje=document.getElementById("transparenciaMensaje"); //ya
	form=document.getElementById("forma"); 						//ya
	urlDestino="cambios.php";
	
	claseNormal="input";
//	claseNormal="Normal";
	claseError="inputError";
	claseDia="Dia";	
	claseRadio="radio";		
	claseTest="test";	
	
	ayuda=new Array();
	ayuda["abiblioteca"]="Este campo sera la sumatoria de los tres campos de abajo.";
	ayuda["aestanteria"]="Metros cuadrados que ocupa la estanteria. OBLIGATORIO";	
	ayuda["apersonal"]="Metros cuadrados que ocupa el area de personal. OBLIGATORIO";	
	ayuda["alectura"]="Metros cuadrados que ocupa el area de lectura. OBLIGATORIO";
	ayuda["aasientos"]="Ingresa un teléfono de contacto.";
	ayuda["alunes"]="Ingresa un e-mail válido. OBLIGATORIO";
	ayuda["asabado"]="fghdfgh";
	ayuda["adomingo"]="dfghdfghdfgh";
	ayuda["adias"]="tghfdghdfghdfghdfgh";
	ayuda["aclasificacion"]="fdghdfhdfghdfghdfghdfgh";
	ayuda["aespecifique"]="cvnbcvncvbncvncvn";
	ayuda["acatalogo"]="54twe45tw45tw45tw45t";
	ayuda["atestante"]="rdthdfgncncbnghn";
	ayuda["ametros"]="w45gw54gw45g";	
	ayuda["ausuarios"]="bdt brgw4";	
	ayuda["ainscritor"]="35t w45t w45y ";		
	
	
	preCarga("ok.gif", "loading.gif", "error.gif");
}

function preCarga() 
	{
	imagenes=new Array();
	for(i=0; i<arguments.length; i++){
		imagenes[i]=document.createElement("img");
		imagenes[i].src=arguments[i];
		}
	}

function nuevoAjax()
{ 
	var xmlhttp=false; 
	try 
	{ 
		// No IE
		xmlhttp=new ActiveXObject("Msxml2.XMLHTTP"); 
	}
	catch(e)
	{ 
		try
		{ 
			// IE 
			xmlhttp=new ActiveXObject("Microsoft.XMLHTTP"); 
		} 
		catch(E) { xmlhttp=false; }
	}
	if (!xmlhttp && typeof XMLHttpRequest!="undefined") { xmlhttp=new XMLHttpRequest(); } 
	return xmlhttp; 
}

function limpiaForm()
	{
	for(i=5; i<=8; i++){
		if (form.elements[i].className!='Radio')	form.elements[i].className=claseTest;
		}
//		document.getElementById("temas").className=claseTest;
	}

function campoError(campo)
{
//	campo.className=claseNormal;
//	alert(campo.type);	 // Aqui le seguimos poniendo
//	alert(campo.className);	 // Aqui le seguimos poniendo	
//	if (campo.type='text'){
		campo.className=claseError; 


//		campo.className=claseError; //<<<--Original
		error=1;
	//	}
}

function ocultaMensaje()
{
	divTransparente.style.display="none";
}

function muestraMensaje(mensaje)
{
	divMensaje.innerHTML=mensaje;
	divTransparente.style.display="block";
//	divTransparente.style.display
}

function eliminaEspacios(cadena)
{
	// Funcion para eliminar espacios delante y detras de cada cadena
	while(cadena.charAt(cadena.length-1)==" ") cadena=cadena.substr(0, cadena.length-1);
	while(cadena.charAt(0)==" ") cadena=cadena.substr(1, cadena.length-1);
	return cadena;
}

function validaLongitud(valor, permiteVacio, minimo, maximo)
{
	var cantCar=valor.length;
	if(valor=="")
	{
		if(permiteVacio) return true;
		else return false;
	}
	else
	{
		if(cantCar>=minimo && cantCar<=maximo) return true;
		else return false;
	}
}

function validaValor(valor, minimo, maximo)
{
//	var valorCar=valor.value;
	//{
	if(valor>=minimo && valor<=maximo) return true;
	else return false;
//	}
}

/*function validaCorreo(valor)
{
	var reg=/(^[a-zA-Z0-9._-]{1,30})@([a-zA-Z0-9.-]{1,30}$)/;
	if(reg.test(valor)) return true;
	else return false;
}*/

function validaForm(){
	limpiaForm();
	error=0;
	
	var colecciones=0;
	var volumenes=0;
	var temas1=0;	
	var temas2=0;	
	var temas3=0;	
	var temas4=0;		

	if(form.consulta[0].checked) consulta=1; else consulta=0;
	if(form.especiales[0].checked) especiales=1; else especiales=0;	

	if(form.generales[0].checked) generales=1; else generales=0;
	if(form.hemero[0].checked) hemero=1; else hemero=0;	
	if(form.audio[0].checked) audio=1; else audio=0;
	if(form.electro[0].checked) electro=1; else electro=0;		

		
	if(error==1)
	{
		var texto="<img src='error.gif' alt='Error'><br><br>Error: revise los campos en rojo.<br><br><button style='width:45px; height:18px; font-size:10px;' onClick='ocultaMensaje()' type='button'>Ok</button>";
		muestraMensaje(texto);
	}
	else
	{
		var texto="<img src='loading.gif' alt='Enviando'><br>Enviando. Por favor espere.<br><br><button style='width:60px; height:18px; font-size:10px;' onClick='ocultaMensaje()' type='button'>Ocultar</button>";
		muestraMensaje(texto);
		
		var ajax=nuevoAjax();
		ajax.open("POST", urlDestino, true);
		ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		ajax.send("&consulta="+consulta+"&especiales="+especiales+"&generales="+generales+"&hemero="+hemero+"&audio="+audio+"&electro="+electro+"&colecciones="+colecciones+"&volumenes="+volumenes+"&temas1="+temas1+"&temas2="+temas2+"&temas3="+temas3+"&temas4="+temas4);
	
//		ajax.send("&consulta="+consulta);	

		ajax.onreadystatechange=function()
		{
			if (ajax.readyState==4)
			{
				var respuesta=ajax.responseText;
				if(respuesta==1)
				{
					var texto="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src='ok.gif' alt='Ok'><br>La información ha sido guardada.<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<button style='width:45px; height:18px; font-size:10px;' onClick='ocultaMensaje()' type='button'>Ok</button>";
				}
				else var texto="<img src='error.gif'><br><br>Error: intente más tarde.<br><br><button style='width:45px; height:18px; font-size:10px;' onClick='ocultaMensaje()' type='button'>Ok</button>";
				
				muestraMensaje(texto);
//				muestraMensaje(respuesta);
			}
		}
	}
}

// Mensajes de ayuda

if(navigator.userAgent.indexOf("MSIE")>=0) navegador=0;
else navegador=1;

function colocaAyuda(event)
{
	if(navegador==0)
	{
		var corX=window.event.clientX+document.documentElement.scrollLeft;
		var corY=window.event.clientY+document.documentElement.scrollTop;
	}
	else
	{
		var corX=event.clientX+window.scrollX;
		var corY=event.clientY+window.scrollY;
	}
	cAyuda.style.top=corY+20+"px";
	cAyuda.style.left=corX+15+"px";
}

function ocultaAyuda()
{
	cAyuda.style.display="none";
	if(navegador==0) 
	{
		document.detachEvent("onmousemove", colocaAyuda);
		document.detachEvent("onmouseout", ocultaAyuda);
	}
	else 
	{
		document.removeEventListener("mousemove", colocaAyuda, true);
		document.removeEventListener("mouseout", ocultaAyuda, true);
	}
}

function muestraAyuda(event, campo)
{
	colocaAyuda(event);
	
	if(navegador==0) 
	{ 
		document.attachEvent("onmousemove", colocaAyuda); 
		document.attachEvent("onmouseout", ocultaAyuda); 
	}
	else 
	{
		document.addEventListener("mousemove", colocaAyuda, true);
		document.addEventListener("mouseout", ocultaAyuda, true);
	}
	
	cNombre.innerHTML=campo;
	cTex.innerHTML=ayuda[campo];
	cAyuda.style.display="block";
}